## AgsAmplifierUtil

AgsAmplifierUtil — Boxed type of amplifier util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsAmplifierUtil * | ags_amplifier_util_alloc ()
gpointer | ags_amplifier_util_copy ()
void | ags_amplifier_util_free ()
gpointer | ags_amplifier_util_get_source ()
void | ags_amplifier_util_set_source ()
guint | ags_amplifier_util_get_source_stride ()
void | ags_amplifier_util_set_source_stride ()
gpointer | ags_amplifier_util_get_destination ()
void | ags_amplifier_util_set_destination ()
guint | ags_amplifier_util_get_destination_stride ()
void | ags_amplifier_util_set_destination_stride ()
guint | ags_amplifier_util_get_buffer_length ()
void | ags_amplifier_util_set_buffer_length ()
AgsSoundcardFormat | ags_amplifier_util_get_format ()
void | ags_amplifier_util_set_format ()
guint | ags_amplifier_util_get_samplerate ()
void | ags_amplifier_util_set_samplerate ()
gdouble | ags_amplifier_util_get_amp_0_frequency ()
void | ags_amplifier_util_set_amp_0_frequency ()
gdouble | ags_amplifier_util_get_amp_0_bandwidth ()
void | ags_amplifier_util_set_amp_0_bandwidth ()
gdouble | ags_amplifier_util_get_amp_0_gain ()
void | ags_amplifier_util_set_amp_0_gain ()
gdouble | ags_amplifier_util_get_amp_1_frequency ()
void | ags_amplifier_util_set_amp_1_frequency ()
gdouble | ags_amplifier_util_get_amp_1_bandwidth ()
void | ags_amplifier_util_set_amp_1_bandwidth ()
gdouble | ags_amplifier_util_get_amp_1_gain ()
void | ags_amplifier_util_set_amp_1_gain ()
gdouble | ags_amplifier_util_get_amp_2_frequency ()
void | ags_amplifier_util_set_amp_2_frequency ()
gdouble | ags_amplifier_util_get_amp_2_bandwidth ()
void | ags_amplifier_util_set_amp_2_bandwidth ()
gdouble | ags_amplifier_util_get_amp_2_gain ()
void | ags_amplifier_util_set_amp_2_gain ()
gdouble | ags_amplifier_util_get_amp_3_frequency ()
void | ags_amplifier_util_set_amp_3_frequency ()
gdouble | ags_amplifier_util_get_amp_3_bandwidth ()
void | ags_amplifier_util_set_amp_3_bandwidth ()
gdouble | ags_amplifier_util_get_amp_3_gain ()
void | ags_amplifier_util_set_amp_3_gain ()
gdouble | ags_amplifier_util_get_filter_gain ()
void | ags_amplifier_util_set_filter_gain ()
void | ags_amplifier_util_process_s8 ()
void | ags_amplifier_util_process_s16 ()
void | ags_amplifier_util_process_s24 ()
void | ags_amplifier_util_process_s32 ()
void | ags_amplifier_util_process_s64 ()
void | ags_amplifier_util_process_float ()
void | ags_amplifier_util_process_double ()
void | ags_amplifier_util_process_complex ()
void | ags_amplifier_util_process ()

## Types and Values

#define | AGS_AMPLIFIER_UTIL_AMP_COUNT
#define | AGS_AMPLIFIER_UTIL_INITIALIZER
struct | AgsAmplifierUtilProc

## Object Hierarchy

        GBoxed
        ╰── AgsAmplifierUtil

## Includes

    #include <ags/audio/ags_amplifier_util.h>

## Description

Boxed type of amplifier util data type.

## Functions

### ags_amplifier_util_alloc ()

    AgsAmplifierUtil *
    ags_amplifier_util_alloc ();

Allocate AgsAmplifierUtil

#### Returns

a new AgsAmplifierUtil

Since: 7.7.0

### ags_amplifier_util_copy ()

    gpointer
    ags_amplifier_util_copy (AgsAmplifierUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsAmplifierUtil |

#### Returns

a pointer of the new AgsAmplifierUtil

Since: 7.7.0

### ags_amplifier_util_free ()

    void
    ags_amplifier_util_free (AgsAmplifierUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_get_source ()

    gpointer
    ags_amplifier_util_get_source (AgsAmplifierUtil *amplifier_util);

Get source buffer of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the source buffer

Since: 7.7.0

### ags_amplifier_util_set_source ()

    void
    ags_amplifier_util_set_source (AgsAmplifierUtil *amplifier_util,
                                   gpointer source);

Set `source` buffer of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
source | the source buffer. | [transfer none]

Since: 7.7.0

### ags_amplifier_util_get_source_stride ()

    guint
    ags_amplifier_util_get_source_stride (AgsAmplifierUtil *amplifier_util);

Get source stride of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the source buffer stride

Since: 7.7.0

### ags_amplifier_util_set_source_stride ()

    void
    ags_amplifier_util_set_source_stride (AgsAmplifierUtil *amplifier_util,
                                          guint source_stride);

Set `source` stride of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
source_stride | the source buffer stride |

Since: 7.7.0

### ags_amplifier_util_get_destination ()

    gpointer
    ags_amplifier_util_get_destination (AgsAmplifierUtil *amplifier_util);

Get destination buffer of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the destination buffer

Since: 7.7.0

### ags_amplifier_util_set_destination ()

    void
    ags_amplifier_util_set_destination (AgsAmplifierUtil *amplifier_util,
                                        gpointer destination);

Set `destination` buffer of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
destination | (transfer none) : the destination buffer |

Since: 7.7.0

### ags_amplifier_util_get_destination_stride ()

    guint
    ags_amplifier_util_get_destination_stride
                                   (AgsAmplifierUtil *amplifier_util);

Get destination stride of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the destination buffer stride

Since: 7.7.0

### ags_amplifier_util_set_destination_stride ()

    void
    ags_amplifier_util_set_destination_stride
                                   (AgsAmplifierUtil *amplifier_util,
                                    guint destination_stride);

Set `destination` stride of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
destination_stride | the destination buffer stride |

Since: 7.7.0

### ags_amplifier_util_get_buffer_length ()

    guint
    ags_amplifier_util_get_buffer_length (AgsAmplifierUtil *amplifier_util);

Get buffer length of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the buffer length

Since: 7.7.0

### ags_amplifier_util_set_buffer_length ()

    void
    ags_amplifier_util_set_buffer_length (AgsAmplifierUtil *amplifier_util,
                                          guint buffer_length);

Set `buffer_length` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
buffer_length | the buffer length |

Since: 7.7.0

### ags_amplifier_util_get_format ()

    AgsSoundcardFormat
    ags_amplifier_util_get_format (AgsAmplifierUtil *amplifier_util);

Get format of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the format

Since: 7.7.0

### ags_amplifier_util_set_format ()

    void
    ags_amplifier_util_set_format (AgsAmplifierUtil *amplifier_util,
                                   AgsSoundcardFormat format);

Set `format` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
format | the format |

Since: 7.7.0

### ags_amplifier_util_get_samplerate ()

    guint
    ags_amplifier_util_get_samplerate (AgsAmplifierUtil *amplifier_util);

Get samplerate of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the samplerate

Since: 7.7.0

### ags_amplifier_util_set_samplerate ()

    void
    ags_amplifier_util_set_samplerate (AgsAmplifierUtil *amplifier_util,
                                       guint samplerate);

Set `samplerate` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
samplerate | the samplerate |

Since: 7.7.0

### ags_amplifier_util_get_amp_0_frequency ()

    gdouble
    ags_amplifier_util_get_amp_0_frequency
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 0 frequency of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the frequency of amp 0

Since: 7.7.0

### ags_amplifier_util_set_amp_0_frequency ()

    void
    ags_amplifier_util_set_amp_0_frequency
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_0_frequency);

Set `amp_0_frequency` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_0_frequency | the amp 0 frequency |

Since: 7.7.0

### ags_amplifier_util_get_amp_0_bandwidth ()

    gdouble
    ags_amplifier_util_get_amp_0_bandwidth
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 0 bandwidth of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the bandwidth of amp 0

Since: 7.7.0

### ags_amplifier_util_set_amp_0_bandwidth ()

    void
    ags_amplifier_util_set_amp_0_bandwidth
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_0_bandwidth);

Set `amp_0_bandwidth` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_0_bandwidth | the amp 0 bandwidth |

Since: 7.7.0

### ags_amplifier_util_get_amp_0_gain ()

    gdouble
    ags_amplifier_util_get_amp_0_gain (AgsAmplifierUtil *amplifier_util);

Get amp 0 gain of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the gain of amp 0

Since: 7.7.0

### ags_amplifier_util_set_amp_0_gain ()

    void
    ags_amplifier_util_set_amp_0_gain (AgsAmplifierUtil *amplifier_util,
                                       gdouble amp_0_gain);

Set `amp_0_gain` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_0_gain | the amp 0 gain |

Since: 7.7.0

### ags_amplifier_util_get_amp_1_frequency ()

    gdouble
    ags_amplifier_util_get_amp_1_frequency
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 1 frequency of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the frequency of amp 1

Since: 7.7.0

### ags_amplifier_util_set_amp_1_frequency ()

    void
    ags_amplifier_util_set_amp_1_frequency
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_1_frequency);

Set `amp_1_frequency` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_1_frequency | the amp 1 frequency |

Since: 7.7.0

### ags_amplifier_util_get_amp_1_bandwidth ()

    gdouble
    ags_amplifier_util_get_amp_1_bandwidth
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 1 bandwidth of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the bandwidth of amp 1

Since: 7.7.0

### ags_amplifier_util_set_amp_1_bandwidth ()

    void
    ags_amplifier_util_set_amp_1_bandwidth
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_1_bandwidth);

Set `amp_1_bandwidth` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_1_bandwidth | the amp 1 bandwidth |

Since: 7.7.0

### ags_amplifier_util_get_amp_1_gain ()

    gdouble
    ags_amplifier_util_get_amp_1_gain (AgsAmplifierUtil *amplifier_util);

Get amp 1 gain of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the gain of amp 1

Since: 7.7.0

### ags_amplifier_util_set_amp_1_gain ()

    void
    ags_amplifier_util_set_amp_1_gain (AgsAmplifierUtil *amplifier_util,
                                       gdouble amp_1_gain);

Set `amp_1_gain` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_1_gain | the amp 1 gain |

Since: 7.7.0

### ags_amplifier_util_get_amp_2_frequency ()

    gdouble
    ags_amplifier_util_get_amp_2_frequency
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 2 frequency of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the frequency of amp 2

Since: 7.7.0

### ags_amplifier_util_set_amp_2_frequency ()

    void
    ags_amplifier_util_set_amp_2_frequency
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_2_frequency);

Set `amp_2_frequency` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_2_frequency | the amp 2 frequency |

Since: 7.7.0

### ags_amplifier_util_get_amp_2_bandwidth ()

    gdouble
    ags_amplifier_util_get_amp_2_bandwidth
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 2 bandwidth of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the bandwidth of amp 2

Since: 7.7.0

### ags_amplifier_util_set_amp_2_bandwidth ()

    void
    ags_amplifier_util_set_amp_2_bandwidth
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_2_bandwidth);

Set `amp_2_bandwidth` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_2_bandwidth | the amp 2 bandwidth |

Since: 7.7.0

### ags_amplifier_util_get_amp_2_gain ()

    gdouble
    ags_amplifier_util_get_amp_2_gain (AgsAmplifierUtil *amplifier_util);

Get amp 2 gain of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the gain of amp 2

Since: 7.7.0

### ags_amplifier_util_set_amp_2_gain ()

    void
    ags_amplifier_util_set_amp_2_gain (AgsAmplifierUtil *amplifier_util,
                                       gdouble amp_2_gain);

Set `amp_2_gain` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_2_gain | the amp 2 gain |

Since: 7.7.0

### ags_amplifier_util_get_amp_3_frequency ()

    gdouble
    ags_amplifier_util_get_amp_3_frequency
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 3 frequency of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the frequency of amp 3

Since: 7.7.0

### ags_amplifier_util_set_amp_3_frequency ()

    void
    ags_amplifier_util_set_amp_3_frequency
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_3_frequency);

Set `amp_3_frequency` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_3_frequency | the amp 3 frequency |

Since: 7.7.0

### ags_amplifier_util_get_amp_3_bandwidth ()

    gdouble
    ags_amplifier_util_get_amp_3_bandwidth
                                   (AgsAmplifierUtil *amplifier_util);

Get amp 3 bandwidth of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the bandwidth of amp 3

Since: 7.7.0

### ags_amplifier_util_set_amp_3_bandwidth ()

    void
    ags_amplifier_util_set_amp_3_bandwidth
                                   (AgsAmplifierUtil *amplifier_util,
                                    gdouble amp_3_bandwidth);

Set `amp_3_bandwidth` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_3_bandwidth | the amp 3 bandwidth |

Since: 7.7.0

### ags_amplifier_util_get_amp_3_gain ()

    gdouble
    ags_amplifier_util_get_amp_3_gain (AgsAmplifierUtil *amplifier_util);

Get amp 3 gain of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the gain of amp 3

Since: 7.7.0

### ags_amplifier_util_set_amp_3_gain ()

    void
    ags_amplifier_util_set_amp_3_gain (AgsAmplifierUtil *amplifier_util,
                                       gdouble amp_3_gain);

Set `amp_3_gain` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
amp_3_gain | the amp 3 gain |

Since: 7.7.0

### ags_amplifier_util_get_filter_gain ()

    gdouble
    ags_amplifier_util_get_filter_gain (AgsAmplifierUtil *amplifier_util);

Get filter gain of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |

#### Returns

the gain of filter

Since: 7.7.0

### ags_amplifier_util_set_filter_gain ()

    void
    ags_amplifier_util_set_filter_gain (AgsAmplifierUtil *amplifier_util,
                                        gdouble filter_gain);

Set `filter_gain` of `amplifier_util` .

#### Parameters

amplifier_util | the AgsAmplifierUtil |
filter_gain | the filter gain |

Since: 7.7.0

### ags_amplifier_util_process_s8 ()

    void
    ags_amplifier_util_process_s8 (AgsAmplifierUtil *amplifier_util);

Process amplifier of signed 8 bit data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_s16 ()

    void
    ags_amplifier_util_process_s16 (AgsAmplifierUtil *amplifier_util);

Process amplifier of signed 16 bit data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_s24 ()

    void
    ags_amplifier_util_process_s24 (AgsAmplifierUtil *amplifier_util);

Process amplifier of signed 24 bit data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_s32 ()

    void
    ags_amplifier_util_process_s32 (AgsAmplifierUtil *amplifier_util);

Process amplifier of signed 32 bit data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_s64 ()

    void
    ags_amplifier_util_process_s64 (AgsAmplifierUtil *amplifier_util);

Process amplifier of signed 64 bit data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_float ()

    void
    ags_amplifier_util_process_float (AgsAmplifierUtil *amplifier_util);

Process amplifier of floating point data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_double ()

    void
    ags_amplifier_util_process_double (AgsAmplifierUtil *amplifier_util);

Process amplifier of double precision floating point data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process_complex ()

    void
    ags_amplifier_util_process_complex (AgsAmplifierUtil *amplifier_util);

Process amplifier of complex floating point data.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

### ags_amplifier_util_process ()

    void
    ags_amplifier_util_process (AgsAmplifierUtil *amplifier_util);

Process amplifier.

#### Parameters

amplifier_util | the AgsAmplifierUtil |

Since: 7.7.0

## Types and Values

### AGS_AMPLIFIER_UTIL_AMP_COUNT

    #define AGS_AMPLIFIER_UTIL_AMP_COUNT (4)

### AGS_AMPLIFIER_UTIL_INITIALIZER

    #define             AGS_AMPLIFIER_UTIL_INITIALIZER

### struct AgsAmplifierUtilProc

    struct AgsAmplifierUtilProc {
      gdouble f;
      gdouble b;
      gdouble g;

      gdouble a;

      gdouble s1;
      gdouble s2;

      gdouble z1;
      gdouble z2;
    };